commit 1dfcfa8dcc3958749849438a802d66728ccf3115
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Nov 16 23:34:24 2024 -0500

    libXt 1.3.1
    
    Part-of: <https://gitlab.freedesktop.org/xorg/lib/libxt/-/merge_requests/71>

commit cbbe13a9e0fd5908288e617b56f41ca1a66d9a0e
Author: Mohamed Akram <mohd.akram@outlook.com>
Date:   Thu May 23 00:34:07 2024 +0400

    Improve linking with widget libraries on macOS
    
    This allows getting rid of the vendor shell hack in libXaw and libXaw3d
    by using a coalesced weak reference.

commit a938ec5ca1923759327b7b80861d8382b3686a1b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 14:12:30 2024 -0800

    unifdef AIXSHLIB & SUNSHLIB
    
    AIXSHLIB was only set in the Imake configs for AIX versions < 5
    SUNSHLIB was only set in the Imake configs for SunOS versions < 5
    Neither has ever been set in the autoconf configs
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3605d8a673cad8e0684245255fe8b26f07780d82
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:41:07 2024 -0800

    unifdef __EMX__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a80844c38fb63103e114a2ed77cd7c734271917
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:37:47 2024 -0800

    unifdef VMS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 83316566121745b6e1a0c3f4dbce06241ee29ecd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:34:19 2024 -0800

    unifdef USG
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b51706a073ca1f7f43d6fab1710e16a08ffd108c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:19:36 2024 -0800

    unifdef MOTOROLA
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 481268a77f1e8d568a0b9b42279df753e21818df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:18:08 2024 -0800

    unifdef AIXV3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c48c1e04723b1df9998794b0f33083d73ea5204
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:16:09 2024 -0800

    unifdef __osf__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ae35984780c7587fff7029ef5655f9ce6c4acc66
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:14:29 2024 -0800

    unifdef hpux
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f4d2e4db54161e6e763248bee1446080c38d284
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:10:46 2024 -0800

    unifdef sgi
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bb8362516dc4ccf210c27b0069e58276a826c999
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 13:09:04 2024 -0800

    unifdef ultrix
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e52dfe7dfb9a414c6b2e1e7898ca135ab7dd185a
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Nov 12 14:35:16 2023 -0500

    quiet a couple of unused-parameter warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a1ccbde53f96442d2421ad0bcdc25f1615b62786
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Nov 12 14:24:55 2023 -0500

    eliminate an unnecessary cast
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2a8924da5a32bd80369578257fb633f26964423e
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Nov 12 14:16:49 2023 -0500

    Add continue_to_dispatch parameter to _XtResourceConfigurationEH()
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit f294d8ed4b22c8d683c577cd6c9f35f62d6760ba
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Nov 12 13:19:42 2023 -0500

    remove substitution for EXEEXT_FOR_BUILD, not defined in automake
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 56875344b2a62845b8a494830bfb0a5f6ed2d3d6
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Nov 12 05:33:05 2023 -0500

    issue #20: c23 boolean conflict
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2fa6dcbc1779b60e9f30d83c723bc39da0a0c281
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 18 10:48:43 2023 -0700

    README.md: update & correct links to O'Reilly X Toolkit books
    
    Fix volume 5 link to point to volume 5, not 4.
    Fix volume 4 3rd edition link to point to 3rd ed. not 2nd.
    Update links to drop "www." from hostname to avoid a redirect.
    
    Reported-by: consolers on #xorg-devel IRC
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5eb27c36cab875713702cd1e8e1c40372ceaa7f3
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Aug 14 19:53:50 2023 -0400

    issue #19: include <process.h> on Windows for getpid()
    
    submitted by Billy O'Neal
    
    This problem was first detected in
    https://github.com/microsoft/vcpkg/pull/33088
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 17c53aba93fce36c9180b9de002cd6aacf15813b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat May 27 09:29:33 2023 -0400

    issue #18: cross-build issue in util
    
    Modify link rule for utils/makestrs to use $(CC_FOR_BUILD) directly,
    avoiding libtool flags added when cross-compiling the library.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 84fa033e9f7f1567f6174bf5e18cb7fb37914aa7
Author: Thomas E. Dickey <dickey@his.com>
Date:   Sat May 27 00:34:15 2023 +0000

    issue #17: avoid _Static_assert from c++

commit 64fca6a2d7cf4fee28ca2277ca6a8b7b32aee66e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 9 13:42:31 2023 -0700

    libXt 1.3.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b3b0c1ad25a5d0f628eddd00113a40364d68480b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 3 17:42:47 2023 -0800

    Replace XtMalloc() calls with XtMallocArray()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b1b54c50d0e5851d72c1e7aff4057687be2e447e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 3 16:23:20 2023 -0800

    Replace XtRealloc() calls with XtReallocArray()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ece1c842a08c11c1f84b95355801d41cd8435b1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 3 14:55:19 2023 -0800

    Add XtReallocArray() for overflow checking of multiplied args
    
    Uses reallocarray() if available, otherwise checks for overflow itself,
    if overflow is possible (i.e. in ILP32 & ILP64 environments, but not LP64
    with 32-bit ints).
    
    Includes unit tests and XtMallocArray() helper macro.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 392eb1cd5f2bdb186f0ff7f51abc4dd05ec13709
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 3 13:28:18 2023 -0800

    test: Add unit tests for XtMalloc, XtCalloc, & XtRealloc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6cc4dd4191b4b13bd85fe287b6067e287a85d1d2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 4 10:33:29 2023 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    configure.ac:36: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
    configure.ac:36: You should run autoupdate.
    m4/libtool.m4:100: AC_PROG_LIBTOOL is expanded from...
    configure.ac:36: the top level
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 444eb13db2f9bc89aba333057fb9eae5d12acf5d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 09:30:58 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1736034c39682927830c0660a0b9587f19e53e4e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 3 11:35:21 2023 -0800

    TMstate.c: Handle -Wduplicated-branches warnings
    
    Gets rid of these messages from gcc:
    
    TMstate.c: In function ‘GetBranchHead’:
    TMstate.c:128:12: warning: this condition has identical branches
      [-Wduplicated-branches]
             if (parseTree->branchHeadTblSize == 0)
                ^
    TMstate.c: In function ‘_XtGetQuarkIndex’:
    TMstate.c:183:16: warning: this condition has identical branches
      [-Wduplicated-branches]
                 if (parseTree->quarkTblSize == 0)
                    ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 358e6295fdc494f4f1ed6ab7b1618a82bcd4b0ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 3 11:09:22 2023 -0800

    Add xfilesearchpath to xt.pc
    
    Make setting of --with-xfile-search-path available to other components,
    without having to link with libXt.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5c617fc17d9da49f92823b78472a59bd98033611
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 16:24:31 2023 -0800

    configure.ac: Replace HAVE_LIBRARY with AC_CHECK_LIB
    
    AC_CHECK_LIB was introduced in autoconf 2.0 (1994) to replace HAVE_LIBRARY
    
    Clears autoconf warnings of:
    
    configure.ac:108: warning: The macro `AC_HAVE_LIBRARY' is obsolete.
    configure.ac:108: You should run autoupdate.
    ./lib/autoconf/libs.m4:138: AC_HAVE_LIBRARY is expanded from...
    configure.ac:108: the top level
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e7b044c11190ed4deae2c2bb61ff3cc2c99170b2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 17 09:28:57 2022 -0800

    tests: Replace g_assert() calls with g_assert_*() calls
    
    https://docs.gtk.org/glib/testing.html warns against using g_assert()
    in test cases, since it is a no-op when compiling with G_DISABLE_ASSERT.
    The replacement calls also give more detailed messages on failures.
    
    Raises the minimum required glib version for building unit tests
    from 2.16 (released March 2008) to 2.40 (released March 2014) to
    get support for g_assert_nonnull().
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 205e30739073d282d4401df57862ac3a5cf6a987
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 17 09:12:05 2022 -0800

    tests: Use XORG_MEMORY_CHECK_FLAGS from xorg-macros 1.16
    
    Replaces previous local copy which had gotten out of date.
    Raises xorg-macros minimum version from 1.13 (released March 2011)
    to 1.16 (Dec. 2011).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 35eed89c651c87a5e9950f3033c1516358456425
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 17 08:38:38 2022 -0800

    tests: update g_test_bug_base url from bugzilla to gitlab
    
    Also adds a call to g_test_bug() for the one existing testcase
    associated with a bug in a public bug tracker.
    
    Otherwise this is mostly a placeholder for now, as no other tests
    call g_test_bug() yet to report what bugs they test for.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1aaf5d502027104ddd566090787780319f510278
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 11 19:02:20 2022 -0700

    Use memcpy() instead of XtMemmove() when buffers are known to differ
    
    Most of these came from a mass XtBCopy() -> XtMemmove() substitution
    in 1993 with a commit comment of "ANSIfication".
    
    But include/X11/IntrinsicI.h now defines XtMemmmove() as just
    calling memcpy() as long as src & dst differ, so remove an
    unnecessary check when we've just allocated a buffer, and reduce
    the chance that someone thinks we'll actually call memmove() instead
    of memcpy()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3c54e99864eb6dba0d0cde7fe0a23ed7c1f5875f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 11 18:41:14 2022 -0700

    Use memcpy() instead of memmove() when buffers are known not to overlap
    
    Most of these came from a mass bcopy() -> memmove() substitution
    in 1993 with a commit comment of "ANSIfication".
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bbe78f905da6e36ebe1fe520903c760107b92b78
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 18:14:45 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eb4fe3345af696ea5a08a44034a464a712a02fdd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 18:12:34 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ff361fe5ff0e7e34c838d7d1399de62ee90096e7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 18:09:44 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf57306493609b654167966eaad314048e649f9a
Author: Thomas E. Dickey <dickey@his.com>
Date:   Mon Jun 20 23:28:06 2022 +0000

    update copyright-date

commit cbbf610bfbef2f8a20c8a2886a8a9c1ec94d4a66
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 9 11:23:01 2022 -0800

    Support buttons > 5 in translation tables [v2]
    
    Add support for arbitrary button numbers by replacing the table-driven
    detail parsing for BtnDown/ButtonPress and BtnUp/ButtonRelease with a
    custom parser that allows for an arbitrary button number (1-255) after
    the 'Button' prefix.
    
    Document what this syntax looks like in the table of detail information.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 215b8ee1d3231dd34a9e8002832cd028a6728dc7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Jun 17 20:45:41 2022 -0400

    cppcheck (revise IsDescendant() to fix possible null-dereference)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 806aefc8c6175b6252a300905a327e9d60939af7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Jun 17 20:44:12 2022 -0400

    cppcheck fixes (const, null dereferencing, uninitialized, scope)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a80c543bb9955199619a2cb6280b89a879fd8811
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jun 16 16:06:42 2022 -0400

    fixes for gcc13 warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a6685523e189c6330ba7007ecaf8f6d462b63024
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jun 14 20:25:20 2022 -0400

    cppcheck and clang --analyze fixes
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 248f980a67ac721882465c48d60039ac70d3fa82
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jun 14 04:03:18 2022 -0400

    codespell-fixes
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 0f77f9f6a8974257a21e5fc0b8327b838c2a4849
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jun 14 03:46:53 2022 -0400

    add _X_NORETURN to agree with header-file
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9bebcedeb378f9fd6ea26767b11dae551b94dc54
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 2 18:34:01 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d5bb760ee996927dd5dfa5b3c219b3d6ef63d11
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Wed Jun 16 14:50:51 2021 +0100

    Fix InternalCallbackRec layout if pointers are bigger than 64 bits
    
    When running `xeyes` via `SSH -X` on CHERI-RISC-V FreeBSD, I was getting
    a Bus Error (unaligned store) in the `cl->callback = callback;` line of
    _XtAddCallback. The `cl` variable (created using `ToList(icl)`) was only
    aligned to 8 bytes, but for CHERI-RISC-V pointer-type loads and stores
    require 16-byte alignment.
    
    In order to fix this, I added a C99 flexible array member to
    internalCallbackRec when compiling for C99 or newer. This ensures
    that sizeof(InternalCallbackRec) is 16 (since it now includes the
    required 12 byte padding up to the first XtCallbackRec). This also
    ensures that alignof(InternalCallbackRec) is 16, but that doesn't
    matter in this case since malloc() will always return a
    sufficiently-aligned pointer.
    
    I also changed ToList(p) to use the flexible array member directly
    when compiling for C99. This is not a functional change since it
    will evaluate to the same pointer, but it does add additional type
    checking and ensures that only a `InternalCallbackRec *` can be
    passed to the macro.
    
    Signed-off-by: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>

commit f8c7069a46af185e0bfaa43d63d450c9a44787ba
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Wed Jun 16 14:35:11 2021 +0100

    Fix XrmResource layout if pointers are bigger than long
    
    On CHERI-enabled architectures (e.g. Arm's Morello), pointers are twice
    the size of addresses (i.e. 128 bits for Morello, 64 bits for 32-bit
    RISC-V). However, XtArgVal is currently defined as long, so it cannot
    be used to store pointers on these architectures.
    
    Also add a _Static_assert() when compiling with C11 support to check
    that the offset of the last member matches that of XtResource.
    
    Signed-off-by: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>

commit dd3e028d2a1bc5daf87865ca1e5e923000186af8
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Wed Jun 16 14:33:31 2021 +0100

    Cast via intptr_t when converting integers to pointers
    
    I found these by compiling libXt with the CHERI Clang compiler, as it
    warns about conversions from integer to pointer that do not use intptr_t.
    
    Signed-off-by: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>

commit 38e89c8582efc8cd1e49205b5d02a10511738120
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Wed Jun 16 14:32:44 2021 +0100

    Use XtUIntPtr for integer types that can hold pointers
    
    Various Xt*Id types are integer types that are used to hold pointers.
    Use uintptr_t for standards-compliant conversion and to support
    architectures where long cannot hold pointers (e.g. CHERI).
    
    I found these by compiling libXt with the CHERI Clang compiler, as it
    warns about conversions from integer to pointer that do not use intptr_t.
    
    Signed-off-by: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>

commit cfa8e152141367edb7b53e90da4ad80e995f3607
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Wed Jun 16 14:29:28 2021 +0100

    XtArgVal: Support architectures where pointers are bigger than long
    
    On CHERI-enabled architectures (e.g. Arm's Morello), pointers are twice
    the size of addresses (i.e. 128 bits for Morello, 64 bits for 32-bit
    RISC-V). However, XtArgVal is currently defined as long, so it cannot
    be used to store pointers on these architectures.
    
    This commit changes XtArgVal to use intptr_t instead, which should be
    long on most architectures but is larger for CHERI.
    It also introduces XtIntPtr/XtUIntPtr which will be used in follow-up
    changes. This commit should also help on LLP64 ABIs where long is 32
    bits but pointers are 64 bits.
    
    I am not sure what the compiler and C standard requirements are, so I've
    guarded the use of stdint.h with `#if __STDC_VERSION__ >= 199901L`.
    I've also added a _Static_assert() when compiling in C11 mode to
    statically verify that the XtArgVal type requirements are met.
    
    Signed-off-by: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>

commit 4a1cacfb1a21b2583809451089d115fc8a23133e
Author: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Wed Jun 16 11:03:25 2021 +0100

    Define LONG64 if __SIZEOF_LONG__ indicates 64-bit long
    
    All modern compilers (GCC>=4.6, Clang>=3.0) define this macro, so we can
    use it to detect 64-bit longs without adding to the architecture list.
    
    This change is needed to successfully run xeyes on a FreeBSD CHERI-RISC-V
    QEMU VM via SSH forwarding.
    See also https://gitlab.freedesktop.org/xorg/proto/xorgproto/-/merge_requests/41
    
    Signed-off-by: Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>

commit edd70bdfbbd16247e3d9564ca51d864f82626eb7
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Jan 24 09:45:53 2021 -0500

    libXt 1.2.1
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 32fb9ec3b60d0262d65829ad0fc1463464648c4b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Feb 5 04:37:37 2020 -0500

    _XtCalloc actually uses a Cardinal, not size_t

commit 15a6234f9bee37d3c25bb21ce66db5846e082563
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Dec 22 18:48:02 2019 +0100

    add errorhandling to _XtVaToTypedArgList()
    
    to make it behave like _XtVaToTypedArgList() add some checks
    and make sure that all args are propper initialized. also
    replace Malloc with Calloc and get arg check for free
    
    Signed-off-by: Walter Harms <wharms@bfs.de>

commit 6cc7763e4bb7298a6c81f81015d6e750d6b4ea5c
Merge: b2c33d4 51cbf52
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Dec 22 18:29:38 2019 +0100

    Merge branch 'master' of ssh://gitlab.freedesktop.org/xorg/lib/libxt

commit b2c33d42605147831c48a8946e90f356340e709e
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Dec 22 17:51:53 2019 +0100

    refactoring, reduce indent level
    
    Signed-off-by: Walter Harms <wharms@bfs.de>

commit 51cbf52b7668ad46a428dabe8e79e6819e825b20
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Nov 15 21:00:44 2019 -0500

    add a null-pointer check, overlooked in fix for issue #12.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 1bf4dfce4431b016a2970e195ea55188288264f6
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 9 21:01:29 2019 -0500

    issue #12: work within existing interface which attempts to obtain the
    display-pointer from the screen-pointer but fails when the screen-pointer
    itself is invalid.  Ensure that the screen-pointer is valid by checking
    the default_screen value against the valid range, and forcing it to zero
    if it is out of bounds.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 8fe25ef4a99c38abe31113d5cfa0b85c7cd5c2de
Author: Walter Harms <wharms@bfs.de>
Date:   Sat Nov 9 22:14:36 2019 +0100

    no need to check arguments for XtFree()
    
    Signed-off-by: Walter Harms <wharms@bfs.de>

commit c7bdc7c0b75b6ec4df0bc180a20cf55ed0f43281
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 9 06:19:14 2019 -0500

    new build
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ffc91271de153053c5c070fb11b4c701339ea06d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 9 06:02:09 2019 -0500

    issue 12 - DISPLAY=:0.-1 XtScreenDatabase segfault
    
    Add a null-pointer check XtScreenDatabase(), exit if no display was opened.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5964fb7e3a3c43db34e8a85df3332da0117e3336
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Aug 1 19:22:27 2019 -0400

    improved the script used for typedef-options with indent, updated indentation
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 727195e741cb4de851870efc92232d66dcd5a8f0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 17:42:46 2019 -0400

    bump minor version to reflect code-cleanup
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d9ff063428adeb7139ee2eb1a96c8fb6263bac12
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:33:16 2019 -0400

    remove the ARGUSED lines, which confuse GNU indent, ditto for LINTLIBRARY
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 04bb8d633f922e12f76b17de5b876320b0fe3b69
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:30:05 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2ff3f1fa183be97e66afb863cb9fec391ee3cd5c
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:23:33 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ceeffbae4c9a19fe304ae13c66bbfa2160a0c4c9
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:22:42 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit f9bcb0beff28a12ef66a5555889070c211b6724e
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:21:13 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c32e6431de07c2c6314b710c0a9e446b7a62f831
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:19:32 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 91e5f17c9c7251a001d98613d8399045e6f47377
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:18:37 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 4f41be501408c1f37215665da7049dd363755f7b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:17:53 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 4d16315364a0d1fd80a5e71f1dc885fe6674072b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:15:26 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 6972afd215dc195e3213864d9b725a48bf766b6d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:12:44 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 0aaf4560b718e9c9e5843b610974626b68688a93
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:11:22 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 204b9be31b67cc224bdfb47da3aacec1ceae6cad
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:06:24 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5e633abc04b0b02be5bba8ffc3d7c4950f12cda0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:03:06 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 79208cbc8e352bb9e4d7f3392a373f8bb67d21f4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 16:00:54 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 832c4eb0ba6cf18ed0dbec2d542b65f10ac549df
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:58:21 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 03b78385ae3628e0e0e66efb6c8f13d277a8da7d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:55:55 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 7a37a8ddb5b5a208d718244f751fad6678a7bf8b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:53:11 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 019cfe87355df593355a37f53e768d8ccdf06eb0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:50:13 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 43f01d164ecdc5d5efe62a5fb82a4d22aa62b0e0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:48:32 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b7d917281a2bdd51c8816aa89fc76de47d663526
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:47:30 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 710d25ec2432b170c508d08abfe3e2944078590b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:44:40 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c37ea7484dcf7aad160d536a1212924483947490
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:42:47 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d2ee89ce4d9e94b3319c72046853afda5ad3d3ed
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:38:30 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ca56f7951a76d3b695ad96aa1fde8bf8120f2bc1
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:30:12 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 10c7594030e6be7c731c44b17102b33bef91b12b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:24:30 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 02b712159a2e7152669fd6d2a315e6f7690bb2d7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:23:19 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 348a30bb5a850a626733a4d255d7ab633d22ebd4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:20:42 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 99343f5a4660e121911dc907c2858c7a1ef1dd0c
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 15:19:16 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c37faef75de9b4de70e6394e814c7c50b4fca6d9
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:51:39 2019 -0400

    turn off indent in generated files
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 3af1ae2a76b789f89793d64b8d6eff7f9c24ca75
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:45:28 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 891419c3bcfc7d07f195957d1d74a03846b72eca
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:40:41 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a5f21f4e0cf482077d213153efc5d041d15132cb
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:35:02 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 26444bb3a221263b367f1559948069fb807458f9
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:28:59 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 58fc6aefc494580991347b1f1c24cd21fe77fba0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:12:21 2019 -0400

    indent'd like "x-indent.sh", but with a more complete set of typedefs - see
    https://github.com/ThomasDickey/cindent-snapshots/blob/master/scripts/xxx-profile
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 3a5b9155c5a7ecd6b81a9243197f89d5f11865dd
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jul 14 14:03:33 2019 -0400

